%define Uname MgaRepo
Name: mgarepo
Version: 1.9.9
Release: %mkrel 2
Summary: Tools for Mageia repository access and management
Group: Development/Other
Source: %{name}-%{version}.tar.bz2
License: GPLv2+
URL: http://svnweb.mageia.org/soft/build_system/mgarepo/
Requires: python-cheetah subversion openssh-clients python-rpm
Requires: python-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: python-devel

%description
Tools for Mageia repository access and management.

It is a fork of repsys :
<http://wiki.mandriva.com/en/Development/Packaging/Tools/repsys>

%package ldap
Group: Development/Other
Summary: mgarepo plugin to retrieve maintainer information from LDAP
Requires: mgarepo >= 1.6.16 
Requires: python-ldap

%description ldap
A mgarepo plugin that allows retrieving maintainer information shown in
changelogs from a LDAP server. 

See %{name} --help-plugin ldapusers for more information. Also see
http://qa.mandriva.com/show_bug.cgi?id=30549

%prep
%setup -q

%build
python setup.py build

%install
rm -rf %{buildroot}

python setup.py install --root=%{buildroot}
# Using compile inline since niemeyer's python macros still not available on mdk rpm macros
find %{buildroot}%{py_puresitedir} -name '*.pyc' -exec rm -f {} \; 
python -c "import sys, os, compileall; br='%{buildroot}'; compileall.compile_dir(sys.argv[1], ddir=br and 
(sys.argv[1][len(os.path.abspath(br)):]+'/') or None)" %{buildroot}%{py_sitedir}

mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_datadir}/%{name}/
mkdir -p %{buildroot}%{_bindir}/
install -m 0755 create-srpm %{buildroot}%{_datadir}/%{name}/create-srpm
install -m 0755 %{name}-ssh %{buildroot}%{_bindir}/%{name}-ssh
install -m 0644 %{name}.conf %{buildroot}%{_sysconfdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES %{name}-example.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/%{name}-ssh
%{_datadir}/%{name}
%{_mandir}/*/*
%{python_sitelib}/%{Uname}
%exclude %{python_sitelib}/%{Uname}/plugins/ldapusers.py*
%{python_sitelib}/*.egg-info

%files ldap
%doc README.LDAP
%{python_sitelib}/%{Uname}/plugins/ldapusers.py*





%changelog
* Sun Mar 13 2011 Funda Wang <fwang@mandriva.org> 1.9.9-2mdv2010.0
+ Revision: 644130
- use mkrel
- add python devel as BR for older distros

* Thu Mar 10 2011 Michael Scherer <misc@mandriva.org> 1.9.9-1
+ Revision: 643562
- adapt to mandriva packaging policy
- import mgarepo

